Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfDrawAspectType

    java.lang.Object
      java.lang.Enum<OdfDrawAspectType>
          org.odftoolkit.odfdom.dom.type.draw.OdfDrawAspectType

All Implemented Interfaces:
  Serializable, Comparable<OdfDrawAspectType>

    public enum OdfDrawAspectType

extends Enum<OdfDrawAspectType>

DOM implementation of OpenDocument attribute draw:draw-aspect.

Enum Constant Summary
`CONTENT`
`ICON`
`PRINT_VIEW`
`THUMBNAIL`

Method Summary
`static OdfDrawAspectType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfDrawAspectType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfDrawAspectType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfDrawAspectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PRINT_VIEW

    public static final OdfDrawAspectType PRINT_VIEW

### THUMBNAIL

    public static final OdfDrawAspectType THUMBNAIL

### ICON

    public static final OdfDrawAspectType ICON

### CONTENT

    public static final OdfDrawAspectType CONTENT

Method Detail

### values

    public static OdfDrawAspectType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfDrawAspectType c : OdfDrawAspectType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfDrawAspectType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfDrawAspectType>`
  Returns:
    return the name of OdfDrawAspectType

### toString

    public static String toString(OdfDrawAspectType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfDrawAspectType, see draw:draw-aspect
  Returns:
    return the name of OdfDrawAspectType

### enumValueOf

    public static OdfDrawAspectType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfDrawAspectType
  Returns:
    return the constant of OdfDrawAspectType, see draw:draw-aspect

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.